<?php

if(!isSet($_GET["akcja"])){
  die("error\nNieprawidłowe wywołanie skryptu.");
}

if (!$db_lnk = sqlite_open("./baza.sqlite", 0666, $msg)){
  die("error\nBrak połączenia z bazą danych.");
}

if($_GET["akcja"] == "show"){
  show($db_lnk);
}
else if($_GET["akcja"] == "delete"){
  if(delete($db_lnk)){
    show($db_lnk);
  }
  else{
    echo "error\nOperacja zakończyła się niepowodzeniem.";
  }
}
else{
  die("error\nNieprawidłowe wywołanie skryptu.");
}

function show($db_lnk)
{
  if(!isSet($_GET['wiersze'])){
    die("error\nNieprawidłowe wywołanie skryptu1.");
  }

  $wiersze = $_GET["wiersze"];

  if(!is_numeric($wiersze)){
    die("error\nNieprawidłowa liczba wierszy.");
  }

  if($wiersze == 0){
    $limit = "";
  }
  else{
    $limit = "LIMIT $wiersze";
  }
  $query = "SELECT * FROM klienci " . $limit;

  if(!$result = sqlite_query($db_lnk, $query)){
    die("error\nBłąd skryptu. Nieprawidłowe zapytanie");
  }
?>

<table border="0">
<tr style="font-weight:bold;">
<td>Id</td><td>Imię</td><td>Nazwisko</td></tr>

<?php

  while($row = sqlite_fetch_array($result)){
    echo "<tr><td>$row[0]</td>";
    echo "<td>$row[1]</td><td>$row[2]</td>";
?>

<td><input type='button' class='myButton' value='Usuń'
     onclick="deleteRow(<?php echo $row[0]; ?> )">
</tr>

<?php
  }
}

function delete($db_lnk)
{
  if(!isSet($_GET['id'])){
    return false;;
  }

  $id = $_GET["id"];

  $query = "DELETE FROM klienci WHERE id=" . $id;

  if(!$result = sqlite_query($db_lnk, $query)){
    return false;
  }
  return true;
}

